classification
Title: Grammatical errors in weakref.WeakValueDictionary docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, docs@python, marco.buttu, rhettinger, vstinner, zach.ware
Priority: normal Keywords: easy, patch

Created on 2017-02-07 15:59 by Mariatta, last changed 2017-03-25 00:49 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
issue29474py3.patch Mariatta, 2017-02-08 05:05 patch for 3.5+ review
issue29474py2.patch Mariatta, 2017-02-08 05:06 patch for 2.7
issue29474py3-2.patch Mariatta, 2017-02-08 14:59 remove the second "additional" word review
Pull Requests
URL Status Linked Edit
PR 10 Mariatta, 2017-02-12 04:08
PR 22 Mariatta, 2017-02-12 04:08
PR 23 Mariatta, 2017-02-12 04:08
PR 11 Mariatta, 2017-02-12 04:09
Messages (13)
msg287241 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-07 15:59
https://docs.python.org/3/library/weakref.html?highlight=weakref#weakref.WeakValueDictionary

There are grammatical errors in the sentence:

These method have the same issues as the and keyrefs() method of WeakKeyDictionary objects.

Reported by Arthur Goldberg in https://mail.python.org/pipermail/docs/2017-February/029957.html
msg287243 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-02-07 16:05
Would you mind to propose a patch? Thanks in advance.

Note: the sentence is also wrong in Python 2.7 doc, no?
msg287245 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-07 16:15
You're right, Victor :)

The wording in 2.7 is a little bit different, but should be fixed too.

In 2.7:

These method have the same issues as the iterkeyrefs() and keyrefs() methods of WeakKeyDictionary objects.

Assigning this to myself.
msg287276 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-08 05:05
Attached is the patch to fix the grammatical errors for versions 3.5+
msg287277 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-08 05:06
And here is the patch that fixes the issue for python 2.7.
msg287301 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-02-08 11:30
The second patch LGTM. In the first one there is a typo (see review).
msg287341 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-08 14:59
Thanks for reviewing, Marco :)
Updated the patch.
msg287342 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-02-08 15:17
Thanks Mariatta, now it is OK to me
msg287641 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-12 16:24
Thanks, everyone :)
The GitHub PRs have been merged.

Closing this issue.
msg290446 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-03-25 00:27
New changeset 3110a379bbb1ec10a84d70a2f0faffcf8d22c7ed by Mariatta in branch 'master':
bpo-29474: Improve documentation for weakref.WeakValueDictionary (#10)
https://github.com/python/cpython/commit/3110a379bbb1ec10a84d70a2f0faffcf8d22c7ed
msg290448 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-03-25 00:27
New changeset 308f789d00735e6707dbc5c8f60a1c8cf245fb4b by Mariatta in branch '3.6':
bpo-29474: Improve documentation for weakref.WeakValueDictionary (#22)
https://github.com/python/cpython/commit/308f789d00735e6707dbc5c8f60a1c8cf245fb4b
msg290449 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-03-25 00:28
New changeset ae828714ebdb7a0d69bf23c1f6d606e5e63bdcfe by Mariatta in branch '3.5':
bpo-29474: Improve documentation for weakref.WeakValueDictionary (#23)
https://github.com/python/cpython/commit/ae828714ebdb7a0d69bf23c1f6d606e5e63bdcfe
msg290454 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-03-25 00:49
New changeset 5c329882fa20f615375f068176e569de7389fa3f by Zachary Ware (Mariatta) in branch '2.7':
bpo-29474: Improve documentation for weakref.WeakValueDictionary (#11)
https://github.com/python/cpython/commit/5c329882fa20f615375f068176e569de7389fa3f
History
Date User Action Args
2017-03-25 00:49:38zach.waresetnosy: + zach.ware
messages: + msg290454
2017-03-25 00:28:11Mariattasetmessages: + msg290449
2017-03-25 00:27:54Mariattasetmessages: + msg290448
2017-03-25 00:27:25Mariattasetmessages: + msg290446
2017-02-12 16:24:13Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg287641

stage: patch review -> resolved
2017-02-12 04:09:50Mariattasetpull_requests: + pull_request42
2017-02-12 04:08:41Mariattasetpull_requests: + pull_request41
2017-02-12 04:08:31Mariattasetpull_requests: + pull_request40
2017-02-12 04:08:13Mariattasetpull_requests: + pull_request39
2017-02-08 15:17:29marco.buttusetmessages: + msg287342
2017-02-08 14:59:21Mariattasetfiles: + issue29474py3-2.patch

messages: + msg287341
2017-02-08 11:30:36marco.buttusetnosy: + marco.buttu
messages: + msg287301
2017-02-08 05:07:18Mariattasetstage: patch review
2017-02-08 05:06:48Mariattasetfiles: + issue29474py2.patch

messages: + msg287277
2017-02-08 05:05:01Mariattasetfiles: + issue29474py3.patch
keywords: + patch
messages: + msg287276
2017-02-07 16:15:56Mariattasetversions: + Python 2.7
nosy: + rhettinger

messages: + msg287245

assignee: docs@python -> Mariatta
2017-02-07 16:05:11vstinnersetnosy: + vstinner
messages: + msg287243
2017-02-07 15:59:18Mariattacreate